Package org.apache.sling.discovery.base.connectors.ping.wl

# Interface WhitelistEntry

All Known Implementing Classes:
  `SubnetWhitelistEntry`, `WildcardWhitelistEntry`

public interface WhitelistEntry
A WhitelistEntry is capable of accepting certain requests depending on a configuration.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepts(javax.servlet.ServletRequest request)`

## Method Details

### accepts

boolean accepts(javax.servlet.ServletRequest request)

Parameters:
  `request` - the incoming request which should be accepted or rejected
Returns:
  true if the request is accepted by this WhitelistEntry